Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog.util
Interface OutputListener

All Known Implementing Classes:
  Recognizer

public interface OutputListener

Interface by which an OutputHandler client can receive output to analyse

Method Summary
`void` | `analyseBytes(byte[] buffer, int nbytes)` nBytes new output bytes are in buffer to analyse
`void` | `streamEnded()`

Method Detail

### analyseBytes

    public void analyseBytes(byte[] buffer,
                             int nbytes)

  nBytes new output bytes are in buffer to analyse

### streamEnded

    public void streamEnded()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD